
//defining the width and height
const width = 960,
    height = 500
//append the svg to the body using select
const svg = d3.select("body").append("svg")
    .attr("width", width)
    .attr("height", height);

  //create a the force layout
const force = d3.layout.force()
    .gravity(0.05)
    .distance(100)
    .charge(-100)
    .size([width, height]);

//get the json data using the json func
d3.json("data.json", function(json) {
  force
      .nodes(json.nodes)
      .links(json.links)
      .start();
// create a the link to connect the nodes
  const link = svg.selectAll(".link")
      .data(json.links)
    .enter().append("line")
      .attr("class", "link")
    .style("stroke-width", function(d) { return Math.sqrt(d.weight); });

//create a function to append the nodes
  const node = svg.selectAll(".node")
      .data(json.nodes)
    .enter().append("g")
      .attr("class", "node")
      .call(force.drag);

  // append the shape of the nodes
  node.append("circle")
      .attr("r","10");
//append the text for the nodes
  node.append("text")
      .attr("dx", 12)
      .attr("dy", ".35em")
      .text(function(d) { return d.name });

//parse the attributes of the json to correctly position the nodes
  force.on("tick", function() {
    link.attr("x1", function(d) { return d.source.x; })
        .attr("y1", function(d) { return d.source.y; })
        .attr("x2", function(d) { return d.target.x; })
        .attr("y2", function(d) { return d.target.y; });

    node.attr("transform", function(d) { return "translate(" + d.x + "," + d.y + ")"; });
  });
});
